"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

function _asyncToGenerator(fn) { return function () { var gen = fn.apply(this, arguments); return new Promise(function (resolve, reject) { function step(key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { return Promise.resolve(value).then(function (value) { step("next", value); }, function (err) { step("throw", err); }); } } return step("next"); }); }; }

const getStatePromiseFn = (req, config, route, routeComponent) => {
  if (!config.state || config.state.getStatePromise) {
    return Promise.resolve({});
  }

  return new Promise((() => {
    var _ref = _asyncToGenerator(function* (resolve, reject) {
      try {
        const state = yield config.state.getStatePromise(req, route, routeComponent);
        return resolve(state);
      } catch (e) {
        return reject(e);
      }
    });

    return function (_x, _x2) {
      return _ref.apply(this, arguments);
    };
  })());
};

const getStatePromise = {
  fn: getStatePromiseFn
};

exports.getStatePromise = getStatePromise;
//# sourceMappingURL=config-state.js.map