'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.router = undefined;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _StaticRouter = require('react-router-dom/StaticRouter');

var _StaticRouter2 = _interopRequireDefault(_StaticRouter);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const routerFn = (req, config) => {
  return new Promise((resolve, reject) => {
    const context = {};
    const routeComponent = _react2.default.createElement(
      _StaticRouter2.default,
      { location: req.url, context: context },
      config.root
    );
    resolve({ routeComponent });
  });
};

const router = {
  fn: routerFn
};

exports.router = router;
//# sourceMappingURL=react-router-v4.js.map