'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
const configFragment = {
  imports: [`import routes from './routes'`],
  values: {
    root: {
      example: 'routes',
      required: true,
      comment: 'Your routes definition'
    }
  }
};

const routerFragment = (routeComponent, history) => `const ${routeComponent} = config.root`;

exports.configFragment = configFragment;
exports.routerFragment = routerFragment;
//# sourceMappingURL=config-router.js.map