"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
const clientImportFragment = `import { Provider } from 'react-redux'`;

const preRenderFragment = (renderComponent, store) => `${renderComponent} = <Provider store={${store}}>{${renderComponent}}</Provider>`;

exports.clientImportFragment = clientImportFragment;
exports.preRenderFragment = preRenderFragment;
//# sourceMappingURL=react-redux.js.map