'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
const clientImportFragment = `import React from 'react'
import { render } from 'react-dom'`;

const renderFragment = (renderComponent, rootId) => `render(${renderComponent}, document.getElementById('${rootId}'))`;

const webpackConfig = distDir => {
  return {
    server: {
      babel: {
        presets: ['babel-preset-react']
      }
    },
    client: {
      babel: {
        presets: ['babel-preset-react']
      }
    }
  };
};

exports.clientImportFragment = clientImportFragment;
exports.renderFragment = renderFragment;
exports.webpackConfig = webpackConfig;
//# sourceMappingURL=react15.js.map