'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.render = undefined;

var _server = require('react-dom/server.browser');

var _server2 = _interopRequireDefault(_server);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const renderFn = renderComponent => {
  return new Promise((resolve, reject) => {
    try {
      resolve(_server2.default.renderToString(renderComponent));
    } catch (e) {
      reject(e);
    }
  });
};

const render = {
  fn: renderFn
};

exports.render = render;
//# sourceMappingURL=react16.js.map